from django.test import TestCase
from plugin.manager import plugin_manager


class TestWhiteboxPluginASDBGPS(TestCase):
    def setUp(self) -> None:
        plugin_manager.plugins = []
        plugin_manager.previously_discovered_plugins = {}
        plugin_manager.discover_plugins()

        self.plugin = next(
            (
                x
                for x in plugin_manager.plugins
                if x.__class__.__name__ == "WhiteboxPluginASDBGPS"
            ),
            None,
        )
        return super().setUp()

    def test_plugin_loaded(self):
        self.assertIsNotNone(self.plugin)

    def test_plugin_template(self):
        expected_template = "whitebox_plugin_adsb_gps/whitebox_plugin_adsb_gps.html"
        self.assertEqual(self.plugin.plugin_template, expected_template)

    def test_plugin_js(self):
        expected_js = ["/static/whitebox_plugin_adsb_gps/whitebox_plugin_adsb_gps.js"]
        self.assertEqual(self.plugin.plugin_js, expected_js)
